﻿
// http://dotnetfollower.com
namespace dotNetFollower
{
    /// <summary>
    /// Represents the awaiting parameters specific for Bulk Delete operations
    /// </summary>
    public class BulkDeleteAwaitingParams : AsyncOperationAwaitingParams
    {
        private bool _doNotCountIfNotCreated = true;

        /// <summary>
        /// Indicates if an iteration counts when the target Bulk Delete operation hasn't been created yet
        /// </summary>
        public bool DoNotCountIfNotCreated 
        {
            get { return _doNotCountIfNotCreated; }
            set { _doNotCountIfNotCreated = value; }
        }
    }
}
