﻿using System;

// http://dotnetfollower.com
namespace dotNetFollower
{
    /// <summary>
    /// Represents parameters for tracking of an async job
    /// </summary>
    public class AsyncJobAwaiting : AsyncOperationAwaiting<AsyncJobState, AsyncOperationAwaitingParams>
    {
        /// <summary>
        /// Id of the async job
        /// </summary>
        public Guid AsyncJobId
        {
            get { return _asyncOperationId; }
        }
        
        public AsyncJobAwaiting(Guid asyncJobId, AsyncOperationAwaitingParams asyncJobAwaitingParams) : base(asyncJobId, asyncJobAwaitingParams)
        {
        }
    }
}
