﻿using System;

// http://dotnetfollower.com
namespace dotNetFollower
{
    /// <summary>
    /// Represents parameters for tracking of a Bulk Delete operation
    /// </summary>
    public class BulkDeleteAwaiting : AsyncOperationAwaiting<BulkDeleteState, BulkDeleteAwaitingParams>
    {
        /// <summary>
        /// Id of the async job that will be associated with the target Bulk Delete operation
        /// </summary>
        public Guid AsyncJobId
        {
            get { return _asyncOperationId; }
        }

        public BulkDeleteAwaiting(Guid asyncJobId, BulkDeleteAwaitingParams asyncJobAwaitingParams) : base(asyncJobId, asyncJobAwaitingParams)
        {
        }
    }
}
